The Department of Homeland Security is advising online users to consider browser alternatives until Microsoft Corp’s Internet Explorer has completely resolved a security flaw that hackers have used to launch recent attacks.

The U.S .Computer Emergence Readiness Team indicated in a statement released Monday morning that vulnerabilities in Internet Explorer versions 6-11 could lead to “compromise of an affected system” and advises Americans to switch to a different browser until the issue is corrected.

The security flaw allows attackers to slip malicious code into a website. When the victim visits the tainted website through the the specified versions of Internet Explorer, attackers may gain full access and rights over the user’s computer and potentially harming it.

Yesterday, Microsoft has released updated information on a Enhanced Protected Mode workaround that will people using Internet Explorer 10 and 11, the browser’s two most recent versions.

However, the problem lies in the complexity of the issue. Due to the fact that many users aren’t conveyed to routinely update their computer, the workaround is tough to implement. The Microsoft workarounds additionally disable functions like ActiveX that would affect the usability of web pages.

Many techies are presuming that due the complications, many users will sit it out and hope they aren’t breached. Users will find additional instructions on how to further protect their computers here.

Windows users are also being warned that it’s not just an IE problem, but a much bigger Windows XP problem. Windows XP was first launched in 2001, and Microsoft stopped supporting it on April 8. As a result, users do not have access to security upgrades for this system, further heightening the threat of attack. If you’re a Windows XP user, it may be about time to upgrade that operating system!

Previous   Next